Bug 1288774 - New upstream release 0.57_03 fixes bug that broke pubkey authentication
New upstream release 0.57_03 fixes bug that broke pubkey authentication
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Net-SSH2 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-05 18:28 EST by Tore Anderson
Modified: 2016-03-30 08:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-30 08:22:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tore Anderson 2015-12-05 18:28:20 EST
perl-Net-SSH2-0.56-1.fc23.x86_64 contains a bug that breaks authentication using public keys, see https://github.com/rkitover/net-ssh2/issues/28.

This bug got fixed upstream in version 0.57_03. It would be very nice to get the fix included in Fedora as well.
Comment 1 Petr Šabata 2015-12-07 11:31:17 EST
This is a developer, alpha release.  I won't update to it; however, I'll include your fix in Fedora -- it seems reasonable and simple enough.
Comment 2 Fedora Update System 2015-12-07 11:58:59 EST
perl-Net-SSH2-0.56-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7f1baa0c2f
Comment 3 Fedora Update System 2015-12-07 23:30:58 EST
perl-Net-SSH2-0.56-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Net-SSH2'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7f1baa0c2f
Comment 4 Fedora Update System 2015-12-17 02:32:01 EST
perl-Net-SSH2-0.56-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Admin XMLRPC Client 2016-03-07 07:03:43 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.